## logtrend-consolidation 0.82.2-2

=== debian/changelog ===
logtrend-consolidation (0.82.2-2) unstable; urgency=high

  * Fix for bug in date format (caused consolidation failures).
  * Fix for database constraint violation in consolidation.
  * Major bug fix which could lead to data loss if the data offset
    was set to a big value.

 -- Jean-Francois Dive <jef@debian.org>  Fri,  6 Sep 2002 22:52:40 +1000

logtrend-consolidation (0.82.2-1) unstable; urgency=low

  * Merged with new upstream 0.82.2.
  * Fixed documentation installation path.

 -- Jean-Francois Dive <jef@debian.org>  Tue, 30 Jul 2002 18:27:21 +1000

logtrend-consolidation (0.81-3) unstable; urgency=low

  * New Maintainer (closes: #134842).
  * Fixed description (closes: #135469).
  * Interim release, new upstream version integration is pending on crypto
    integration in main.

 -- Jean-Francois Dive <jef@linuxbe.org>  Wed, 27 Mar 2002 13:35:41 +1100

logtrend-consolidation (0.81-2) unstable; urgency=low

  * Fixed typo in description (closes: Bug#128198).

 -- Maurizio Boriani <baux@debian.org>  Tue,  8 Jan 2002 10:33:02 +0100

logtrend-consolidation (0.81-1) unstable; urgency=low

  * Initial Release.

 -- Maurizio Boriani <baux@debian.org>  Fri,  7 Dec 2001 17:53:22 +0100
