=== debian/control ===
Source: logtrend-consolidation
Section: net
Priority: optional
Maintainer: Jean-Francois Dive <jef@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: logtrend-consolidation
Section: net
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, liblogtrend-databaseaccess-perl (>= 0.82.2-1), liblogtrend-common-perl (>= 0.82.2-1)
Description: logtrend perl module which prevents db increase
 Consolidation is used to keep useful data for trend analysis
 while reducing sample numbers to limit db increase.
 For real time visualization, it's useful to have a lot of values for
 recent data. To keep a representative sample of this data, can 
 reduce db increase, speed up data analysis whitout arming the quality
 and the precision of the result.
