=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_COMPAT=3

ifndef PERL
PERL = /usr/bin/perl
endif

build: build-stamp
build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="-O2 -g -Wall"
	$(MAKE) test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) PREFIX=`pwd`/debian/logtrend-consolidation/usr install
	
	cp $(CURDIR)/debian/logtrend-consolidation/usr/share/doc/logtrend-consolidation/Consolidation.xml \
		$(CURDIR)/debian/logtrend-consolidation/etc/logtrend/Consolidation/Consolidation.conf
	cp $(CURDIR)/debian/logtrend-consolidation/usr/share/doc/logtrend-consolidation/Consolidation.dtd \
		$(CURDIR)/debian/logtrend-consolidation/etc/logtrend/Consolidation/
	rm -rf debian/logtrend-consolidation/usr/lib
	rm -rf debian/logtrend-consolidation/usr/share/doc/LogTrend
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Common
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Action
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Action.pm
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Agent.pm
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Agent/Ala*
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Agent/Data*
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Agent/Mail*
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Agent/Tcp*
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/Agent/AgentDescriptionToDB
	rm -rf debian/logtrend-consolidation/usr/share/man
	rm -rf debian/logtrend-consolidation/usr/share/perl5/LogTrend/DataBaseAccess

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installinit -n
	dh_installcron
	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
